using NBC;
using UnityEngine;

namespace NBF
{
    /// <summary>
    /// 常驻公共脚本
    /// </summary>
    public class PermanentCommon
    {
        private static bool _init;
        private static PermanentCommon _inst;

        public static PermanentCommon Inst
        {
            get { return _inst ??= new PermanentCommon(); }
        }

        public static void Init()
        {
            if (_init) return;
            _init = true;
        }

        public static void Dispose()
        {
            _init = false;
        }
    }
}